      
******************************************************************************
*
*     Common for on-line tracker calibrations
*
*     2 calibration packets are sent, one for X views and one for Y views.
*     Thus, each packet contains calibration parameters of nplanes=6 views.
*     
******************************************************************************

      integer good0
      integer DAQmode(nplanes)  
      integer DSPnumber(nplanes) !view number
      integer calibnumber(nplanes)
      integer ncalib_event(nplanes)
      integer ped_l1(nplanes),ped_l2(nplanes),ped_l3(nplanes)
      integer sig_l1(nplanes),sig_l2(nplanes),sig_l3(nplanes)
      integer nbad_l1(nplanes),nbad_l2(nplanes),nbad_l3(nplanes)
      integer cal_flag(nplanes)
      integer checksum(nplanes)
      real DSPped_par(nplanes,nstrips_view)    !online pedestal
      real DSPsig_par(nplanes,nstrips_view)    !online sigma
      integer DSPbad_par(nplanes,nstrips_view) !online bad strips
      integer crc_cal(nplanes,3)               !crc control for ladder pkts
      integer crc_hcal(nplanes)                !crc control for header pkt
      
      common/trkcalib/good0,DAQmode,DSPnumber
     $     ,calibnumber,
     $     ncalib_event,
     $     ped_l1,ped_l2,ped_l3,
     $     sig_l1,sig_l2,sig_l3,
     $     nbad_l1,nbad_l2,nbad_l3,
     $     cal_flag
     $     ,DSPped_par,DSPsig_par,DSPbad_par,crc_cal,crc_hcal
      SAVE/trkcalib/


      
